Payment Requests
Create, list, retrieve, and cancel payment requests.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/payment-requests" \ -H "x-tenant: UAE"{ "data": [ { "additionalCreditorAccounts": [ { "accountHolderName": "string", "businessName": "string", "givenName": "string", "id": "string", "identification": "string", "lastName": "string", "name": "string", "schemeName": "IBAN" } ], "amount": "string", "createdAt": "2025-01-01T00:00:00Z", "creditorAccount": { "accountHolderName": "string", "businessName": "string", "givenName": "string", "id": "string", "identification": "string", "lastName": "string", "name": "string", "schemeName": "IBAN" }, "creditorReference": "string", "creditorType": "string", "currency": "AED", "debtorAccount": { "accountHolderName": "string", "businessName": "string", "givenName": "string", "id": "string", "identification": "string", "lastName": "string", "name": "string", "schemeName": "IBAN" }, "debtorReference": "string", "failureRedirectUrl": "string", "id": "string", "instructions": { "amount": { "amount": "string", "currency": "AED" }, "copCreditorName": { "businessName": "string", "givenName": "string", "lastName": "string" }, "currencyRequest": { "chargeBearer": "BorneByCreditor", "currencyOfTransfer": "string", "destinationCountryCode": "string", "exchangeRateInformation": { "contractIdentification": "string", "exchangeRate": 0, "rateType": "Actual", "unitCurrency": "AED" }, "fxQuoteId": "string", "priority": "Normal", "purpose": "string" }, "isInternationalPayment": true, "maxCumulativeAmount": { "amount": "string", "currency": "AED" }, "maxCumulativeNumberOfPayments": 0, "paymentSchedule": [ { "amount": { "amount": "string", "currency": "AED" }, "maxAmount": { "amount": "string", "currency": "AED" }, "paymentExecutionDate": "2025-01-01T00:00:00Z" } ], "periodicSchedule": { "amount": { "amount": "string", "currency": "AED" }, "controls": { "maxCumulativeAmountPerPeriod": { "amount": "string", "currency": "AED" }, "maxCumulativeNumberOfPaymentsPerPeriod": 0 }, "endDate": "2025-01-01T00:00:00Z", "frequency": "Day", "maxAmount": { "amount": "string", "currency": "AED" }, "startDate": "2025-01-01T00:00:00Z" }, "permissions": { "confirmPayee": true, "readAccountsBasic": true, "readAccountsDetail": true, "readBalances": true, "readRefundAccount": true } }, "internalReference": "string", "isCopVerified": true, "merchantId": "string", "merchantReference": "string", "provider": { "code": "string", "id": "string", "logoUrl": "string", "name": "string", "status": "string" }, "purpose": "string", "redirectUrl": "string", "risks": { "BeneficiaryAccountType": "string", "creditorIndicators": { "accountType": "string", "confirmationOfPayeeResponse": "string", "isCreditorConfirmed": true, "isCreditorPrePopulated": true, "isVerifiedByTpp": true }, "debtorIndicators": { "biometricCapabilities": { "biometricTypes": [ "Fingerprint" ], "supportsBiometric": true }, "browserInformation": { "availableFonts": [ "string" ], "isCookiesEnabled": true, "pixelRatio": 0, "plugins": [ "string" ], "userAgent": "string" }, "deviceInformation": { "alternativeDeviceId": "string", "batteryStatus": { "isCharging": true, "level": 0 }, "bindingDuration": "string", "bindingStatus": "Active", "connectionType": "WiFi", "deviceBindingId": "string", "deviceEnvironmentContext": [ "string" ], "deviceId": "string", "deviceLanguage": "string", "deviceLocalDateTime": "2025-01-01T00:00:00Z", "deviceManufacturer": { "manufacturer": "string", "model": "string" }, "deviceOperatingSystem": "string", "deviceOperatingSystemVersion": "string", "deviceType": "Mobile", "lastBindingDateTime": "2025-01-01T00:00:00Z", "motionSensors": { "accelerometer": true, "gyroscope": true, "status": "InMotion" }, "screenInformation": { "orientation": "Portrait", "pixelDensity": 0 }, "touchSupport": { "maxTouchPoints": 0, "supported": true } }, "geoLocation": { "latitude": "string", "longitude": "string" }, "userBehavior": { "scrollBehavior": { "direction": "Up", "frequency": 0, "speed": 0 } } }, "DeliveryAddress": { "AddressLine": [ "string" ], "BuildingNumber": "string", "Country": "AE", "CountrySubDivision": [ "string" ], "PostCode": "string", "StreetName": "string", "TownName": "string" }, "MerchantCategoryCode": "string", "MerchantCustomerIdentification": "string", "PaymentContextCode": "string" }, "status": "New", "successRedirectUrl": "string", "type": "SingleInstantPayment", "updatedAt": "2025-01-01T00:00:00Z" } ], "error": "string", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "meta": { "currentPageNumber": 0, "pageSize": 0, "totalNumberOfPages": 0 }}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "not_found", "details": {}, "message": "string"}Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/payment-requests" \ -H "x-signature: string" \ -H "x-tenant: UAE" \ -H "Content-Type: application/json" \ -d '{ "amount": "125.50", "beneficiaryIban": "AE070331234567890123456", "beneficiaryName": "Acme Supplier LLC", "currency": "AED", "reference": "INV-10042" }'{ "data": { "amount": "125.50", "currency": "AED", "internalReferenceId": "req_01hqnx2w", "status": "New" }}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "not_found", "details": {}, "message": "string"}Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/payment-requests/string" \ -H "x-tenant: UAE"{ "data": { "additionalCreditorAccounts": [ { "accountHolderName": "string", "businessName": "string", "givenName": "string", "id": "string", "identification": "string", "lastName": "string", "name": "string", "schemeName": "IBAN" } ], "amount": "string", "createdAt": "2025-01-01T00:00:00Z", "creditorAccount": { "accountHolderName": "string", "businessName": "string", "givenName": "string", "id": "string", "identification": "string", "lastName": "string", "name": "string", "schemeName": "IBAN" }, "creditorReference": "string", "creditorType": "string", "currency": "AED", "debtorAccount": { "accountHolderName": "string", "businessName": "string", "givenName": "string", "id": "string", "identification": "string", "lastName": "string", "name": "string", "schemeName": "IBAN" }, "debtorReference": "string", "failureRedirectUrl": "string", "id": "string", "instructions": { "amount": { "amount": "string", "currency": "AED" }, "copCreditorName": { "businessName": "string", "givenName": "string", "lastName": "string" }, "currencyRequest": { "chargeBearer": "BorneByCreditor", "currencyOfTransfer": "string", "destinationCountryCode": "string", "exchangeRateInformation": { "contractIdentification": "string", "exchangeRate": 0, "rateType": "Actual", "unitCurrency": "AED" }, "fxQuoteId": "string", "priority": "Normal", "purpose": "string" }, "isInternationalPayment": true, "maxCumulativeAmount": { "amount": "string", "currency": "AED" }, "maxCumulativeNumberOfPayments": 0, "paymentSchedule": [ { "amount": { "amount": "string", "currency": "AED" }, "maxAmount": { "amount": "string", "currency": "AED" }, "paymentExecutionDate": "2025-01-01T00:00:00Z" } ], "periodicSchedule": { "amount": { "amount": "string", "currency": "AED" }, "controls": { "maxCumulativeAmountPerPeriod": { "amount": "string", "currency": "AED" }, "maxCumulativeNumberOfPaymentsPerPeriod": 0 }, "endDate": "2025-01-01T00:00:00Z", "frequency": "Day", "maxAmount": { "amount": "string", "currency": "AED" }, "startDate": "2025-01-01T00:00:00Z" }, "permissions": { "confirmPayee": true, "readAccountsBasic": true, "readAccountsDetail": true, "readBalances": true, "readRefundAccount": true } }, "internalReference": "string", "isCopVerified": true, "merchantId": "string", "merchantReference": "string", "provider": { "code": "string", "id": "string", "logoUrl": "string", "name": "string", "status": "string" }, "purpose": "string", "redirectUrl": "string", "risks": { "BeneficiaryAccountType": "string", "creditorIndicators": { "accountType": "string", "confirmationOfPayeeResponse": "string", "isCreditorConfirmed": true, "isCreditorPrePopulated": true, "isVerifiedByTpp": true }, "debtorIndicators": { "biometricCapabilities": { "biometricTypes": [ "Fingerprint" ], "supportsBiometric": true }, "browserInformation": { "availableFonts": [ "string" ], "isCookiesEnabled": true, "pixelRatio": 0, "plugins": [ "string" ], "userAgent": "string" }, "deviceInformation": { "alternativeDeviceId": "string", "batteryStatus": { "isCharging": true, "level": 0 }, "bindingDuration": "string", "bindingStatus": "Active", "connectionType": "WiFi", "deviceBindingId": "string", "deviceEnvironmentContext": [ "string" ], "deviceId": "string", "deviceLanguage": "string", "deviceLocalDateTime": "2025-01-01T00:00:00Z", "deviceManufacturer": { "manufacturer": "string", "model": "string" }, "deviceOperatingSystem": "string", "deviceOperatingSystemVersion": "string", "deviceType": "Mobile", "lastBindingDateTime": "2025-01-01T00:00:00Z", "motionSensors": { "accelerometer": true, "gyroscope": true, "status": "InMotion" }, "screenInformation": { "orientation": "Portrait", "pixelDensity": 0 }, "touchSupport": { "maxTouchPoints": 0, "supported": true } }, "geoLocation": { "latitude": "string", "longitude": "string" }, "userBehavior": { "scrollBehavior": { "direction": "Up", "frequency": 0, "speed": 0 } } }, "DeliveryAddress": { "AddressLine": [ "string" ], "BuildingNumber": "string", "Country": "AE", "CountrySubDivision": [ "string" ], "PostCode": "string", "StreetName": "string", "TownName": "string" }, "MerchantCategoryCode": "string", "MerchantCustomerIdentification": "string", "PaymentContextCode": "string" }, "status": "New", "successRedirectUrl": "string", "type": "SingleInstantPayment", "updatedAt": "2025-01-01T00:00:00Z" }, "error": "string", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "not_found", "details": {}, "message": "string"}Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/payment-requests/string" \ -H "x-tenant: UAE"{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "string", "details": {}, "message": "string"}{ "code": "not_found", "details": {}, "message": "string"}